# PostAttackContactApplyStatusEffectAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostAttackContactApplyStatusEffectAbAttr

#### Hierarchy (View Summary)

- PostAttackApplyStatusEffectAbAttr
  - PostAttackContactApplyStatusEffectAbAttr

- Defined in src/data/ability.ts:1943

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostAttack
canApply
canApplyPostAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostAttackContactApplyStatusEffectAbAttr(
  chance: number,
  ...effects: StatusEffect [],
  ): PostAttackContactApplyStatusEffectAbAttr

  #### Parameters

  - chance: number
  - ...effects: StatusEffect []

  #### Returns PostAttackContactApplyStatusEffectAbAttr

  Overrides PostAttackApplyStatusEffectAbAttr.constructor

  - Defined in src/data/ability.ts:1944

## Properties

### showAbility

showAbility: boolean

Inherited from PostAttackApplyStatusEffectAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostAttackApplyStatusEffectAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostAttackApplyStatusEffectAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostAttack

- applyPostAttack(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  attacker: default ,
  move: default ,
  hitResult: HitResult ,
  args: any[],
  ): void

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns void

  Inherited from PostAttackApplyStatusEffectAbAttr.applyPostAttack

  - Defined in src/data/ability.ts:1937

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostAttackApplyStatusEffectAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostAttack

- canApplyPostAttack(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  attacker: default ,
  move: default ,
  hitResult: null | HitResult ,
  args: any[],
  ): boolean

  By default, this method checks that the move used is a damaging attack before applying the effect of any inherited class. This can be changed by providing a different attackCondition to the constructor. See ConfusionOnStatusEffectAbAttr for an example of an effect that does not require a damaging move.

  #### Parameters

  - pokemon: default
  - passive: boolean
  - simulated: boolean
  - attacker: default
  - move: default
  - hitResult: null | HitResult
  - args: any[]

  #### Returns boolean

  Inherited from PostAttackApplyStatusEffectAbAttr.canApplyPostAttack

  - Defined in src/data/ability.ts:1923

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from PostAttackApplyStatusEffectAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from PostAttackApplyStatusEffectAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201